package com.css.simulation.resource.common.infra.mysql.mapper;

import com.css.simulation.resource.common.infra.mysql.entity.AlgorithmExpandEntity;
import com.css.simulation.resource.common.infra.mysql.param.AlgorithmExpandInfrastructureParam;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface AlgorithmExpandMapper {
    List<AlgorithmExpandEntity> select(AlgorithmExpandInfrastructureParam algorithmExpandInfrastructureParam);
    List<String> selectAlgorithmIds(AlgorithmExpandInfrastructureParam algorithmExpandInfrastructureParam);
    void insert(AlgorithmExpandEntity algorithmExpandEntity);
    void update(AlgorithmExpandEntity algorithmExpandEntity);
}
